// 用户管理
import http from './http.js'
import $API from '@/http/classApi.js'
import appConfig from '@/config/appConfig.js'
import {
	Base64
} from 'js-base64'
import infoBox from '@/commons/utils/infoBox.js'

const request=http.request

// 获取店铺会员二维码
export function getwxacode(data) {
  return request({
    url: `/shop/storage/getwxacode`,
    method: "post",
    data
  });
}
/**
 * 商家用户列表
 * @returns
 */
export function queryAllShopUser(params) {
  return request({
    url: `/api/tbShopUser/queryAllShopUser`,
    method: "get",
    params: {
      shopId: uni.getStorageSync('shopId'),
      ...params
    }
  });
}
/**
 * 查询商家用户概述信息
 * @returns
 */
export function queryAllShopInfo(params) {
  return request({
    url: `/api/tbShopUser/summary`,
    method: "get",
    params: {
      shopId: uni.getStorageSync('shopId'),
	  isVip:1,
      ...params
    }
  });
}
